This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 472355 - Error Message: "tar: <path_to_file>: Warning: Cannot acl_from_text: Invalid argument" when extracting from tar-archive.
Error Message: "tar: <path_to_file>: Warning: Cannot acl_from_text: Invalid a...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: tar (Show other bugs)
9
All All
medium Severity high
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-20 07:27 EST by Thomas Bruecker
Modified: 2008-12-11 03:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-11 03:01:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Bruecker 2008-11-20 07:27:20 EST
Description of problem:

* I do not know how the communication between different linux distributions
  about bugs works.
  I have posted the above error to CentOS, and if it is an error, its your error
  too.

* For error details see therefore the following link:
  "http://bugs.centos.org/view.php?id=3254"

Version-Release number of selected component (if applicable):

* "tar-1.19-3.fc9.i386.rpm"
* Honestly, i must admit, the error appeared only in a recompiled version from
  your "tar-1.19-3.fc9.src.rpm" -- but i did not test your binary.

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ondrej Vasik 2008-11-21 12:57:03 EST
Thanks for report and proposed solution, it is obviously a bug in xattrs patch. Looking to centos bugreport, there is no need to patch extract.c.mangling - as this is just backup of the file after patch. Fixed RAWHIDE, tar-1.20-5.fc11 , will do updates for F-10 and F-9.
Comment 2 Fedora Update System 2008-11-25 07:25:14 EST
tar-1.20-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/tar-1.20-5.fc10
Comment 3 Fedora Update System 2008-11-25 07:52:42 EST
tar-1.19-6.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/tar-1.19-6.fc9
Comment 4 Fedora Update System 2008-11-26 01:14:34 EST
tar-1.20-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-11-26 01:21:06 EST
tar-1.19-6.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update tar'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-10346
Comment 6 Fedora Update System 2008-12-11 03:01:01 EST
tar-1.19-6.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.